%define _enable_debug_packages %{nil}
%define debug_package          %{nil}

Name:           ocaml-async
Version:        113.24.00
Release:        %mkrel 5
Summary:        Jane Street Capital's asynchronous execution library
License:        LGPL-2.1 with OCaml linking exception
Group:          Development/OCaml
URL:            https://bitbucket.org/yminsky/ocaml-core/wiki/Home
Source0:        https://ocaml.janestreet.com/ocaml-core/113.24/files/async-%{version}.tar.gz
BuildRequires:  ocaml-compiler
BuildRequires:  ocaml-findlib
BuildRequires:  opam
BuildRequires:  ocaml-async_extra
BuildRequires:  ocaml-async_kernel
BuildRequires:  ocaml-async_unix
BuildRequires:  ocaml-bin_prot
BuildRequires:  ocaml-core
BuildRequires:  ocaml-fieldslib
BuildRequires:  ocaml-ppx_assert
BuildRequires:  ocaml-ppx_bench
BuildRequires:  ocaml-ppx_driver
BuildRequires:  ocaml-ppx_expect
BuildRequires:  ocaml-ppx_inline_test
BuildRequires:  ocaml-ppx_jane
BuildRequires:  ocaml-sexplib
BuildRequires:  ocaml-typerep
BuildRequires:  ocaml-variantslib
Obsoletes:      ocaml-async_core < 109.24.00-6
Obsoletes:      ocaml-async_core-devel < 109.24.00-6

%description
Jane Street Capital's asynchronous execution library.

%package        devel
Summary:        Development files for %{name}
Group:          Development/OCaml
Requires:       %{name} = %{version}-%{release}

%description    devel
The %{name}-devel package contains libraries and signature files for
developing applications that use %{name}.

%prep
%setup -q -n async-%{version}

%build
sh configure \
    --prefix %{_prefix} \
    --libdir %{_libdir} \
    --libexecdir %{_libexecdir} \
    --exec-prefix %{_exec_prefix} \
    --bindir %{_bindir} \
    --sbindir %{_sbindir} \
    --mandir %{_mandir} \
    --datadir %{_datadir} \
    --localstatedir %{_localstatedir} \
    --docdir %{_docdir}/%{name}-devel/ \
    --destdir %{buildroot}

make
make doc

%install
opam-installer --prefix=%{buildroot}%{_prefix} --libdir=%{buildroot}%{_libdir}/ocaml async.install

%files
%doc LICENSE.txt THIRD-PARTY.txt INRIA-DISCLAIMER.txt
%dir %{_libdir}/ocaml/async
%{_libdir}/ocaml/async/META
%{_libdir}/ocaml/async/*.cmi
%{_libdir}/ocaml/async/*.cma
%{_libdir}/ocaml/async/*.cmxs

%files devel
%{_libdir}/ocaml/async/*.a
%{_libdir}/ocaml/async/*.cmxa
%{_libdir}/ocaml/async/*.annot
%{_libdir}/ocaml/async/*.cmt
%{_libdir}/ocaml/async/*.cmx


%changelog
* Thu Nov 24 2016 neoclust <neoclust> 113.24.00-5.mga6
+ Revision: 1069776
- Rebuild against fixed ocaml

* Sun Sep 25 2016 pterjan <pterjan> 113.24.00-4.mga6
+ Revision: 1056226
- Rebuild for fix in ocaml

* Fri Mar 11 2016 daviddavid <daviddavid> 113.24.00-3.mga6
+ Revision: 989002
- fix requires, ocaml-async_core-devel is no more provided

* Sat Feb 27 2016 pterjan <pterjan> 113.24.00-2.mga6
+ Revision: 979975
- Obsolete async_core

* Wed Feb 24 2016 pterjan <pterjan> 113.24.00-1.mga6
+ Revision: 978757
- Update to 113.24.00

  + umeabot <umeabot>
    - Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 109.24.00-5.mga5
+ Revision: 741971
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 109.24.00-4.mga5
+ Revision: 682980
- Mageia 5 Mass Rebuild

* Sat Oct 19 2013 umeabot <umeabot> 109.24.00-3.mga4
+ Revision: 530552
- Mageia 4 Mass Rebuild

* Thu Jul 25 2013 malo <malo> 109.24.00-2.mga4
+ Revision: 457977
- add missing requires to ocaml-async_core

* Sun Jun 09 2013 malo <malo> 109.24.00-1.mga4
+ Revision: 441272
- update to 109.24.00

* Sat Jan 12 2013 umeabot <umeabot> 108.07.01-2.mga3
+ Revision: 361141
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Nov 23 2012 blue_prawn <blue_prawn> 108.07.01-1.mga3
+ Revision: 321301
- build requires janest-core
- build requires pipebang
- build requires pa_ounit
- build requires comparelib
- build requires compare
- build requires bin_prot
- build requires fieldslib
- build requires sexplib
- imported package ocaml-async

